import request from '@/utils/request'

// 查询博雅集东南亚研究机构列表
export function listInstitution(query) {
  return request({
    url: '/vr/institution/pageList',
    method: 'get',
    params: query
  })
}

// 查询博雅集东南亚研究机构详细
export function getInstitution(id) {
  return request({
    url: '/vr/institution/' + id,
    method: 'get'
  })
}

// 新增博雅集东南亚研究机构
export function addInstitution(data) {
  return request({
    url: '/vr/institution',
    method: 'post',
    data: data
  })
}

// 修改博雅集东南亚研究机构
export function updateInstitution(data) {
  return request({
    url: '/vr/institution',
    method: 'put',
    data: data
  })
}

// 删除博雅集东南亚研究机构
export function delInstitution(id) {
  return request({
    url: '/vr/institution/' + id,
    method: 'delete'
  })
}
